Skip to main content
POST
/
api
/
orgs
/
{id}
/
initiatives
/
{initiativeId}
/
issues
Link issue
curl --request POST \
  --url https://atollhq.com/api/orgs/{id}/initiatives/{initiativeId}/issues \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "status": "<string>",
  "priority": 0,
  "assigneeId": "<string>",
  "assigneeIds": [
    "<string>"
  ],
  "projectId": "<string>",
  "milestoneId": "<string>",
  "teamId": "<string>",
  "startDate": "2023-12-25",
  "dueDate": "2023-12-25",
  "recurrenceType": "daily",
  "recurrenceInterval": 123,
  "labelIds": [
    "<string>"
  ]
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.atollhq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

id identifier

initiativeId
string
required

initiativeId identifier

Body

application/json
title
string
description
string
status
string
priority
enum<integer>
Available options:
0,
1,
2,
3
assigneeId
string
assigneeIds
string[]
projectId
string
milestoneId
string
teamId
string
startDate
string<date>
dueDate
string<date>
recurrenceType
enum<string>
Available options:
daily,
weekly,
monthly,
yearly
recurrenceInterval
integer
labelIds
string[]

Response

Successful response

The response is of type object.